Servers - Refresh Status
Aggiornare lo stato di abilitazione della governance esterna.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/refreshExternalGovernanceStatus?api-version=2025-01-01
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole. |
|
server
|
path | True |
string |
Il nome del server. |
|
subscription
|
path | True |
string (uuid) |
ID della sottoscrizione di destinazione. Il valore deve essere un UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Versione dell'API da usare per questa operazione. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Operazione Azure completata con successo. |
|
| 202 Accepted |
Operazione sulle risorse accettata. Intestazioni
|
|
| Other Status Codes |
Risposta di errore imprevista. |
Sicurezza
azure_auth
Azure Active Directory OAuth2 Flow.
Tipo:
oauth2
Flow:
implicit
URL di autorizzazione:
https://login.microsoftonline.com/common/oauth2/authorize
Ambiti
| Nome | Descrizione |
|---|---|
| user_impersonation | rappresentare l'account utente |
Esempio
Refresh external governance enablement status.
Esempio di richiesta
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/refreshExternalGovernanceStatus?api-version=2025-01-01
Risposta di esempio
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/locations/refreshExternalGovernanceStatusOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/refreshExternalGovernanceStatusOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"queuedTime": "2/12/2022 8:33:27 PM",
"requestId": "00000000-0000-0000-0000-000000000000",
"requestType": "UpdatePurviewMetadata",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/refreshExternalGovernanceStatusOperationResults/00000000-0000-0000-0000-000000000000?api-version=2022-08-01
Definizioni
| Nome | Descrizione |
|---|---|
|
created |
Tipo di identità che ha creato la risorsa. |
|
Error |
Informazioni aggiuntive sull'errore di gestione delle risorse. |
|
Error |
Dettagli dell'errore. |
|
Error |
Risposta di errore |
|
Refresh |
Risorsa risultato dell'operazione RefreshExternalGovernanceStatus. |
|
system |
Metadati relativi alla creazione e all'ultima modifica della risorsa. |
createdByType
Tipo di identità che ha creato la risorsa.
| Valore | Descrizione |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Informazioni aggiuntive sull'errore di gestione delle risorse.
| Nome | Tipo | Descrizione |
|---|---|---|
| info |
object |
Informazioni aggiuntive. |
| type |
string |
Tipo di informazioni aggiuntive. |
ErrorDetail
Dettagli dell'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| additionalInfo |
Informazioni aggiuntive sull'errore. |
|
| code |
string |
Codice di errore. |
| details |
Dettagli dell'errore. |
|
| message |
string |
Messaggio di errore. |
| target |
string |
Destinazione dell'errore. |
ErrorResponse
Risposta di errore
| Nome | Tipo | Descrizione |
|---|---|---|
| error |
Oggetto error. |
RefreshExternalGovernanceStatusOperationResult
Risorsa risultato dell'operazione RefreshExternalGovernanceStatus.
| Nome | Tipo | Descrizione |
|---|---|---|
| id |
string (arm-id) |
ID risorsa completo per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Nome della risorsa |
| properties.errorMessage |
string |
Messaggio di errore. |
| properties.queuedTime |
string |
Tempo in coda. |
| properties.requestId |
string (uuid) |
ID richiesta. |
| properties.requestType |
string |
Tipo di richiesta. |
| properties.serverName |
string |
Nome server. |
| properties.status |
string |
Stato dell'operazione. |
| systemData |
Azure Resource Manager metadati contenenti informazioni createBy e modifiedBy. |
|
| type |
string |
Tipo di risorsa. Ad esempio: "Microsoft. Compute/virtualMachines" oppure "Microsoft. Storage/storageAccounts" |
systemData
Metadati relativi alla creazione e all'ultima modifica della risorsa.
| Nome | Tipo | Descrizione |
|---|---|---|
| createdAt |
string (date-time) |
Timestamp della creazione della risorsa (UTC). |
| createdBy |
string |
Identità che ha creato la risorsa. |
| createdByType |
Tipo di identità che ha creato la risorsa. |
|
| lastModifiedAt |
string (date-time) |
Il timestamp dell'ultima modifica della risorsa (UTC) |
| lastModifiedBy |
string |
Identità che ha modificato l'ultima volta la risorsa. |
| lastModifiedByType |
Tipo di identità che ha modificato l'ultima volta la risorsa. |